Subject: Geesh! 15-lines of code, no mouse!!!
From: [email-masked] (Jose Elias)
To: [email-masked]
Date: Sat, 4 Sep 93 17:21:07 -0400

Guys, thanks for the help, but I ALMOST have everything
working, my problem is that when I run this program,
I cannot see the mouse cursor OR any Screen Copy updates
on my monitor, so I have to make mouse movements "blindly",
and although I see my bob animation, I cannot see neither
the mouse OR the effect of any of my screen copy commands!

This is the short code, I left stuff out that's unnessesary:

flash off : hide
load iff"df0:players",0
load iff"df0:gameboard",1
screen display 1,,20,,
double buffer : autoback 0 : update off

...

I TRY to do screen copy commans here, but don't
see their effect

...

for range=ll to rr
   bob clear
   bob 1,xx,yy,range
   screen swap
   wait 2
next range

that's it!!! By the way, my screen copy commands
look like this:
		screen copy 0,228,0,257,25 to 1,xa,ya
(I tried leaving out the 1 next to xa but that didn't work,
I also tried using "screen 1" and/or "screen to front 1"
in various places but that didn't work either)

So, what's wrong this time?
It seems as if my bob commands are going to the screen you
can actually see, but my blits (and even my mouse cursor!)
go to some screen in the back (the double buffer one, or
what?).

I'm sorry if this is the third time I ask for help (you guys
DID help me, thanks) but I'm new to amos graphics programming,
and the manual just plain sucks (sorry for that, but it's true!).

Sincerely,
	[email-masked]

p.s.: Thanks in advance!!!

:)